Name: nvidia-settings
Version: 1.0
Release: alt1

Group: System/Configuration/Hardware
Summary: Tool for configuring the NVIDIA driver
Url: ftp://download1.nvidia.com/XFree86/nvidia-settings/
License: GPL

Source: %name-%version.tar.bz2
Source1: %name-16.png
Source2: %name-32.png
Source3: %name-48.png
Source4: nvidia-settings.sh

Patch1: xlibs.patch

# Automatically added by buildreq on Fri Jul 02 2004 (-bi)
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libpango-devel pkgconfig

%description
The `nvidia-settings` utility is a tool for configuring the NVIDIA
Linux graphics driver.  It operates by communicating with the NVIDIA
X driver, querying and updating state as appropriate.  This
communication is done with the NV-CONTROL X extension.

Values such as brightness and gamma, XVideo attributes, temperature,
and OpenGL settings can be queried and configured via nvidia-settings.

When nvidia-settings starts, it reads the current settings from
its configuration file and sends those settings to the X server.
Then, it displays a graphical user interface (GUI) interface for
configuring the current settings.  When nvidia-settings exits, it
queries the current settings from the X server and saves them to
the configuration file.


%prep
%setup -q
%patch1 -p1

%build
%make_build

%install
mkdir -p %buildroot/%_bindir
install -m 0755 nvidia-settings %buildroot/%_bindir

mkdir -p %buildroot/%_sysconfdir/X11/xinit.d/
install -m 0755 %SOURCE4 %buildroot/%_sysconfdir/X11/xinit.d/%name.sh

mkdir -p %buildroot/%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
install -m 0644 %SOURCE1 %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png
install -m 0644 %SOURCE2 %buildroot/%_iconsdir/hicolor/32x32/apps/%name.png
install -m 0644 %SOURCE3 %buildroot/%_iconsdir/hicolor/48x48/apps/%name.png

mkdir -p %buildroot/%_menudir
cat >%buildroot/%_menudir/%name <<__EOF__
?package(%name): \
needs="x11" \
command="%name" \
section="Configuration/Hardware" \
title="NVIDIA settings" \
icon="%name.png" \
longtitle="Tool for configuring the NVIDIA driver"
__EOF__

%files
%doc doc/*.txt samples
%_bindir/%name
%_sysconfdir/X11/xinit.d//%name.sh
%_menudir/%name
%_iconsdir/*/*/apps/%name.png

%post
%update_menus
%postun
%clean_menus

%changelog
* Fri Jul 02 2004 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt1
- initial spec

